import java.net.ServerSocket;
import java.io.*;

public class ServerConnection extends Connection {
	ServerSocket servSocket;
	/**
	 * Constructor for ServerConnection subclass
	 * Extends Connection to support a server listening
	 * @param port			Port to listen on
	 * @throws IOException	IOException when port is blocked or unusable
	 */
	public ServerConnection(int port) throws IOException {
		super();
		servSocket = new ServerSocket(port);
	}
	
	/**
	 * Makes ServerSocket listen for a new connection
	 * @throws IOException	Thrown when port is in use or blocked
	 */
	public void openSocket() throws IOException {
		this.newSocket(servSocket.accept());
	}
}
