import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.io.PrintWriter;

public class StreamRedirect extends Thread {
	InputStream input;
	OutputStream output;
	/** 
	 * Constructor for StreamRedirect Object
	 * Redirects the data from an input stream to the output stream
	 * @param input  Input stream where data is taken
	 * @param output Output stream where data is written
	 */
	public StreamRedirect(InputStream input, OutputStream output) {
		this.input = input;
		this.output = output;
	}

	/**
	 *  Run method which begins capturing on input stream and redirecting it to output
	 */
	public void run() {
		String line = null;
		
		try {
			InputStreamReader isr = new InputStreamReader(input);
			BufferedReader br = new BufferedReader(isr);
			
			PrintWriter pw = new PrintWriter(output);
			
			while ((line = br.readLine()) != null){
				pw.println(line);
			}
			
			pw.flush();
			
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
}
